ifndef FC
override FC=gfortran
endif

ifndef FCFLAGS
override FCFLAGS=-std=legacy -O3
endif

ifndef LDFLAGS
override LDFLAGS=
endif

ifndef CXX
override CXX=g++
endif

ifndef HDF5_INCLUDE
override HDF5_INCLUDE=/usr/include/hdf5/serial
endif

ifndef CXXFLAGS
override CXXFLAGS=-O3 -ggdb -pg -coverage -I$(HDF5_INCLUDE)
endif

ifndef CXXLDFLAGS
ifndef HDF5_LIB
override HDF5_LIB=/usr/lib/x86_64-linux-gnu/hdf5/serial
endif
override CXXLDFLAGS=-L/usr/lib64 -L$(HDF5_LIB) -lhdf5 $(LDFLAGS)
endif

%.o : %.f
	$(FC) $(FCFLAGS) -c -o $(BUILDDIR)/$@ $<

%.o : %.cpp
	$(CXX) $(CXXFLAGS) -c -o $(BUILDDIR)/$@ $<

